Bug 290 - smbadduser and smbd NOT using same smbpasswd
smbadduser and smbd NOT using same smbpasswd
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.0preX
All Linux
: P3 normal
: 3.0.0rc2
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-12 08:51 UTC by Kjell Arne Rekaa
Modified: 2005-11-14 09:25 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kjell Arne Rekaa 2003-08-12 08:51:17 UTC
The Samba 3.0.0.0beta3 build on our RedHat server is working only after a:

cp /etc/samba/smbpasswd /usr/local/samba/private/

The build is made by a simple:
./configure
make
make install

(with no additional options)

A "strace -f" on the smbd deamon, showed that 
smdb wanted information from the /usr/local/samba/private/smbpasswd,
while the "smbpasswd" command updated the /etc/samba/smbpasswd file.
Comment 1 Volker Lendecke 2003-08-12 10:58:42 UTC
Are absolutely certain that you are *not* using the default system-supplied
smpbasswd command?

Volker
Comment 2 Pavel V.Zheltobryukhov 2003-08-15 00:56:00 UTC
In summary wrote: "smbadduser and smbd NOT using same smbpasswd"

In description wrote: "A "strace -f" on the smbd deamon, showed that
smdb wanted information from the /usr/local/samba/private/smbpasswd,
while the "smbpasswd" command updated the /etc/samba/smbpasswd file."

Which program you use? smbadduser or smbpasswd?

In case of smbadduser, edit them with favorite text editor to set correct path
 to smbpasswd (password database file, not to smbpasswd program!) in
 "set passwd" parameter

Comment 3 Gerald (Jerry) Carter 2003-08-20 09:14:12 UTC
source/smbadduser needs to be updated to use the $(privatedir)
and $(sysconfdir) variables from autoconf.  
Comment 4 Gerald (Jerry) Carter 2003-08-22 10:45:52 UTC
Fixed by calling AC_OUTPUT() on smbadduser
Comment 5 Gerald (Jerry) Carter 2003-08-25 10:56:31 UTC
forgot to mark it as fixed
Comment 6 Gerald (Jerry) Carter 2005-02-07 08:41:22 UTC
originally reported against 3.0.0beta3.  CLeaning out 
non-production release versions.
Comment 7 Gerald (Jerry) Carter 2005-08-24 10:21:41 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 8 Gerald (Jerry) Carter 2005-11-14 09:25:06 UTC
database cleanup